Bug 466025 - Optical drive doesn't work for CDs.
Optical drive doesn't work for CDs.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 14:53 EDT by Linuxguy123
Modified: 2009-04-27 14:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 14:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linuxguy123 2008-10-07 14:53:55 EDT
Description of problem:

The optical drive won't mount an audio CD and let it be played.   Also, grip can't use the optical drive to rip CDs. 

Version-Release number of selected component (if applicable):

$ uname -a
Linux localhost.localdomain 2.6.26.5-28.fc8 #1 SMP Sat Sep 20 09:32:58 EDT 2008 i686 i686 i386 GNU/Linux

rpm -q kdebase
kdebase-3.5.10-2.fc8

rpm -q grip
grip-3.2.0-20.fc8

$ rpm -q hal
hal-0.5.10-4.fc8

The machine is an HP hdx9494 laptop.  

According to hwbrowser, the drive is an Optiarc DB ROM BC-5500A.
Device Information: Manufacturer: Optiarc.  Driver: None or built-in.  Device /dev/scd0.

$ /sbin/lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8800M GTS (rev a2)
02:06.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
02:06.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
02:06.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
02:06.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
02:06.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
10:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
20:00.0 Mass storage controller: Silicon Image, Inc. Unknown device 3531 (rev 01)
28:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller (rev 13)

$ /sbin/lsmod
Module                  Size  Used by
rfcomm                 32721  0
l2cap                  21953  9 rfcomm
autofs4                20933  2
sunrpc                154785  3
nf_conntrack_ipv4      11849  2
ipt_REJECT              6977  2
iptable_filter          6849  1
ip_tables              14033  1 iptable_filter
nf_conntrack_ipv6      16469  2
xt_state                6209  4
nf_conntrack           51221  3 nf_conntrack_ipv4,nf_conntrack_ipv6,xt_state
xt_tcpudp               6977  8
ip6t_ipv6header         6209  2
ip6t_REJECT             7617  2
ip6table_filter         6593  1
ip6_tables             15057  2 ip6t_ipv6header,ip6table_filter
x_tables               15557  7 ipt_REJECT,ip_tables,xt_state,xt_tcpudp,ip6t_ipv6header,ip6t_REJECT,ip6_tables
cpufreq_ondemand       10445  1
acpi_cpufreq           11981  1
dm_mirror              19521  0
dm_log                 12357  1 dm_mirror
dm_multipath           18505  0
dm_mod                 48521  3 dm_mirror,dm_log,dm_multipath
ipv6                  238405  16 nf_conntrack_ipv6,ip6t_REJECT
snd_hda_intel         331001  6
snd_seq_dummy           6853  0
snd_seq_oss            29633  0
snd_seq_midi_event      9921  1 snd_seq_oss
snd_seq                44913  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
arc4                    5953  2
firewire_ohci          22469  0
snd_seq_device          9933  3 snd_seq_dummy,snd_seq_oss,snd_seq
ecb                     6849  2
firewire_core          35553  1 firewire_ohci
snd_pcm_oss            37441  0
crypto_blkcipher       18373  1 ecb
nvidia               7091012  26
snd_mixer_oss          16705  2 snd_pcm_oss
sdhci                  17989  0
snd_pcm                61509  3 snd_hda_intel,snd_pcm_oss
mmc_core               41565  1 sdhci
crc_itu_t               6081  1 firewire_core
ricoh_mmc               7873  0
iwl4965               153029  0
video                  20817  5
output                  6849  1 video
iwlcore               128901  1 iwl4965
snd_timer              21065  3 snd_seq,snd_pcm
uvcvideo               50121  0
snd_page_alloc         11337  2 snd_hda_intel,snd_pcm
rfkill                 11481  2 iwlcore
snd_hwdep              10309  1 snd_hda_intel
snd                    46437  17 snd_hda_intel,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
compat_ioctl32          5313  1 uvcvideo
mac80211              175669  2 iwl4965,iwlcore
ac                      8005  0
wmi                     9961  0
videodev               31425  1 uvcvideo
battery                12869  0
hci_usb                16477  2
soundcore               9633  2 snd
sky2                   42565  0
v4l1_compat            16325  2 uvcvideo,videodev
pcspkr                  6593  0
serio_raw               8901  0
i2c_i801               11985  0
cfg80211               25417  3 iwl4965,iwlcore,mac80211
joydev                 12673  0
bluetooth              47013  7 rfcomm,l2cap,hci_usb
iTCO_wdt               13925  0
i2c_core               20949  2 nvidia,i2c_i801
iTCO_vendor_support     7109  1 iTCO_wdt
sr_mod                 17541  0
sg                     31605  0
cdrom                  33249  1 sr_mod
ata_piix               19397  0
sata_sil24             16069  0
ahci                   27337  4
libata                131937  3 ata_piix,sata_sil24,ahci
sd_mod                 26329  6
scsi_mod              123917  4 sr_mod,sg,libata,sd_mod
ext3                  110281  3
jbd                    41045  1 ext3
mbcache                10309  1 ext3
uhci_hcd               22993  0
ohci_hcd               22853  0
ehci_hcd               32845  0


Let me know if you need to know more.

How reproducible:

Everytime.  I've never gotten a CD to work properly in the optical drive.  

Steps to Reproduce:

1. Boot the laptop. 
2. Log into a KDE session.
3. Open the optical drive tray.  Insert an audio CD.  Close the tray.
  
Actual results:

Sometimes the "New Device" window appears on the KDE desktop.  Sometimes it doesn't.   No new messages appear in /var/log/messages

If one starts KsCD, the artist and songlist appear in the fields. If one presses play, the counter goes to 00:00 and then it freezes.  It can't be unlocked.  grip and the kaudiocreator apps do similar things. 

Expected results:

KsCD should be able to play the CD. grip should be able to read it to rip it.

Additional info:

The drive works fine for writing CDs and DVDs via K3B.  The laptop will also boot from CDs and DVDs in the optical drive.
Comment 1 Bug Zapper 2008-11-26 06:14:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Linuxguy123 2008-11-27 10:02:54 EST
I've upgraded to F10.   The problem still exists.   I'm bumping the version to F10. 

uname -a
Linux localhost.localdomain 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008 i686 i686 i386 GNU/Linux

Kscd says version 1.5, under KDE 4.1.3

$ rpm -q kdelibs
kdelibs-4.1.3-3.fc10.i386
Comment 3 Steven M. Parrish 2009-02-04 08:10:40 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 4 Steven M. Parrish 2009-03-16 20:52:59 EDT
Reporter, could you please reply to the previous request? If you don't reply in within one month of the original request , we will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Steven M. Parrish 2009-04-27 14:00:24 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.